using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	/// <summary>
	/// 图片文件明细
	/// </summary>
	[IgnoreT4] public class T_PF_IMG_FILE_DETAIL : MesEntityBase
	{
		[Description("图片文件ID")]
		public Guid IMG_FILE_ID { get; set; }

		[Description("文件ID")]
		public Guid FILE_ID { get; set; }

		[Description("顺序")]
		public int NUM { get; set; }


		[Description("导航：图片文件表")]
		public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }

		[Description("导航：文件表")]
		public virtual T_PF_FILE Nav_File { get; set; }
		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
